Distorted Android - Bug #22

Arrangement of triangles causes unpleasant 'steps' along the NW-SE line
07/16/2016 01:29 AM - Leszek Koltunski

Status: Closed Start date: 07/16/2016
Priority: Normal Due date:

Assignee: Leszek Koltunski % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description

Fire up Vertex3D

Choose any Object type

Add a Distort Effect

Distort the Object in Z-dimension

Rotate it so that the NW (or SE) edge of the bulge is visible.

Unpleasant 'steps’ will show. Issue not ocurring along the other two edges, SW or NE - that's because of the arrangement of
triangles.

History

#1 - 07/22/2016 09:47 PM - Leszek Koltunski

Additional bug caused by arrangement of triangles:

when we z-distort a DistortedCubes target with its center on the edge of the region, arrangement of triangles in the back wall is different than the one
on the front one and some of them protrude through the front wall and cause black areas.

#2 - 07/31/2016 02:16 PM - Distorted Admin
- Status changed from New to Closed
- Assignee set to Leszek Koltunski

- % Done changed from 0 to 100

Commit library|84ee2a6a fixes this.
https://distorted.org/redmine/projects/distorted-android/repository/library/revisions/84ee2a6ad0ab16fc0f1e57e988ae6a1c1b8a2bbc
